---
title: "Reach out to a respondent"
url: https://docs.gleap.ai/en/reference/rest-api/reach-out
method: POST
path: "/engagement/surveys/{surveyId}/responses/{responseId}/reach-out"
api: "API Reference"
tag: "Engagement Survey"
operationId: "ReachOut"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Reach out to a respondent

`POST https://api.gleap.io/v3/engagement/surveys/{surveyId}/responses/{responseId}/reach-out`

Start a conversation with the respondent. Body `{ channel: 'messenger'|'email', message (TipTap JSON or markdown text), subject?, assignToMe? }`. The ticket carries `surveyResponse`; returns `{ ticketId, ticketShareToken }`.

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Path parameters

- `surveyId` (string, required)
- `responseId` (string, required)

## Headers

- `project` (string, required)

## Request body (`application/json`, required)

## Example request

```bash
curl --request POST \
  --url 'https://api.gleap.io/v3/engagement/surveys/{surveyId}/responses/{responseId}/reach-out' \
  --header 'Authorization: Bearer <token>' \
  --header 'project: <project>' \
  --header 'Content-Type: application/json' \
  --data '{}'
```

## Responses

### 200 (`application/json`)

Ok
